Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Interface EventDispatcher

All Known Implementing Classes:
  AbstractAWTEventDispatcher, AWTEventDispatcher

    public interface EventDispatcher

Interface for receiving and dispatching events down to a GVT tree.

Mouse events are dispatched to their "containing" node (the GraphicsNode corresponding to the mouse event coordinate). Searches for containment are performed from the EventDispatcher's "root" node.

Method Summary
`void` | `addGraphicsNodeKeyListener(GraphicsNodeKeyListener l)` Adds the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.
`void` | `addGraphicsNodeMouseListener(GraphicsNodeMouseListener l)` Adds the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.
`void` | `addGraphicsNodeMouseWheelListener(GraphicsNodeMouseWheelListener l)` Adds the specified 'global' GraphicsNodeMouseWheelListener which is notified of all MouseWheelEvents dispatched.
`void` | `dispatchEvent(EventObject e)` Dispatched the specified event object.
`AffineTransform` | `getBaseTransform()` Returns the base transform applied to MouseEvent coordinates prior to dispatch.
`EventListener[]` | `getListeners(Class listenerType)` Returns an array of listeners that were added to this event dispatcher and of the specified type.
`GraphicsNode` | `getRootNode()` Returns the root node for MouseEvent dispatch containment searches and field selections.
`void` | `removeGraphicsNodeKeyListener(GraphicsNodeKeyListener l)` Removes the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.
`void` | `removeGraphicsNodeMouseListener(GraphicsNodeMouseListener l)` Removes the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.
`void` | `removeGraphicsNodeMouseWheelListener(GraphicsNodeMouseWheelListener l)` Removes the specified 'global' GraphicsNodeMouseWheelListener which is notified of all MouseWheelEvents dispatched.
`void` | `setBaseTransform(AffineTransform t)` Sets the base transform applied to MouseEvent coordinates prior to dispatch.
`void` | `setNodeDecrementEvent(InputEvent e)` Associates all InputEvents of type `e.getID()` with "decrementing" of the currently selected GraphicsNode.
`void` | `setNodeIncrementEvent(InputEvent e)` Associates all InputEvents of type `e.getID()` with "incrementing" of the currently selected GraphicsNode.
`void` | `setRootNode(GraphicsNode root)` Sets the root node for MouseEvent dispatch containment searches and field selections.

Method Detail

### setRootNode

    void setRootNode(GraphicsNode root)

  Sets the root node for MouseEvent dispatch containment searches and field selections.

  Parameters:
    `root` - the root node

### getRootNode

    GraphicsNode getRootNode()

  Returns the root node for MouseEvent dispatch containment searches and field selections.

### setBaseTransform

    void setBaseTransform(AffineTransform t)

  Sets the base transform applied to MouseEvent coordinates prior to dispatch.

  Parameters:
    `t` - the affine transform

### getBaseTransform

    AffineTransform getBaseTransform()

  Returns the base transform applied to MouseEvent coordinates prior to dispatch.

### dispatchEvent

    void dispatchEvent(EventObject e)

  Dispatched the specified event object.

  Converts the EventObject to a corresponding GraphicsNodeEvent and dispatch it to the appropriate GraphicsNode(s). If the event is a MouseEvent the dispatch is performed to each GraphicsNode which contains the MouseEvent coordinate, until the event is consumed. If the event is a KeyEvent, it is dispatched to the currently selected GraphicsNode.

  Parameters:
    `e` - the event to dispatch

### addGraphicsNodeMouseListener

    void addGraphicsNodeMouseListener(GraphicsNodeMouseListener l)

  Adds the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.

  Parameters:
    `l` - the listener to add

### removeGraphicsNodeMouseListener

    void removeGraphicsNodeMouseListener(GraphicsNodeMouseListener l)

  Removes the specified 'global' GraphicsNodeMouseListener which is notified of all MouseEvents dispatched.

  Parameters:
    `l` - the listener to remove

### addGraphicsNodeMouseWheelListener

    void addGraphicsNodeMouseWheelListener(GraphicsNodeMouseWheelListener l)

  Adds the specified 'global' GraphicsNodeMouseWheelListener which is notified of all MouseWheelEvents dispatched.

  Parameters:
    `l` - the listener to add

### removeGraphicsNodeMouseWheelListener

    void removeGraphicsNodeMouseWheelListener(GraphicsNodeMouseWheelListener l)

  Removes the specified 'global' GraphicsNodeMouseWheelListener which is notified of all MouseWheelEvents dispatched.

  Parameters:
    `l` - the listener to remove

### addGraphicsNodeKeyListener

    void addGraphicsNodeKeyListener(GraphicsNodeKeyListener l)

  Adds the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.

  Parameters:
    `l` - the listener to add

### removeGraphicsNodeKeyListener

    void removeGraphicsNodeKeyListener(GraphicsNodeKeyListener l)

  Removes the specified 'global' GraphicsNodeKeyListener which is notified of all KeyEvents dispatched.

  Parameters:
    `l` - the listener to remove

### getListeners

    EventListener[] getListeners(Class listenerType)

  Returns an array of listeners that were added to this event dispatcher and of the specified type.

  Parameters:
    `listenerType` - the type of the listeners to return

### setNodeIncrementEvent

    void setNodeIncrementEvent(InputEvent e)

  Associates all InputEvents of type `e.getID()` with "incrementing" of the currently selected GraphicsNode.

### setNodeDecrementEvent

    void setNodeDecrementEvent(InputEvent e)

  Associates all InputEvents of type `e.getID()` with "decrementing" of the currently selected GraphicsNode. The notion of "currently selected" GraphicsNode is used for dispatching KeyEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.